-----------------------------------------------------------------------------------------------------------------------
-- 2012 / nomenclature des prévisions de recettes
-----------------------------------------------------------------------------------------------------------------------
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R1', 'Subventions pour charges de service public', 'R11 + R12', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R11', 'Subventions des programmes 150 et 231', 'c7411', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R12', 'Subventions autres ministères', 'c7418', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R2', 'Autres subventions de fonctionnement', 'R21 + R22 + R23', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R21', 'Collectivités locales', 'c7442 + c7443 + c7444', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R211', 'Région', 'c7442', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R212', 'Département', 'c7443', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R213', 'Communes et groupements de communes', 'c7444', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R22', 'Union européenne', 'c7446', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R23', 'Autres subventions de fonctionnement', 'c7447 + c7448 + c7488', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R3', 'Autres ressources de fonctionnement courant', 'R31 + R32 + R33 + R34 + R35 + R36 + R37 + R38', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R31', 'Droits d''inscription', 'c7061', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R32', 'Redevances sur prestations intellectuelles', 'c751', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R33', 'Contrats de recherche', 'c7062 + c7441', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R331', 'ANR hors investissements d''avenir', 'c74412', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R332', 'ANR investissement d''avenir', 'c74411', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R333', 'Contrats de recherche hors ANR', 'c7062', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R34', 'Formation continue', 'c7065', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R35', 'Taxe d''apprentissage', 'c7481', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R36', 'Autres prestations (études et travaux)', 'c704 + c705', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R37', 'Dons et legs et assimilés', 'c7581 + c7582 + c7585 + c7586 + c7857', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R38', 'Autres recettes encaissables', 'c701 + c702 + c703 + c7063 + c7064 + c7066 + c7067 + c7068 + c707 + c708 + c709 + c7445 + c746 + c752 + c755 + c756 + c757 + c7583 + c7584 + c76', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R4', 'Recettes exceptionnelles encaissables ', 'R41 + R42', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R41', 'Produits de cession des éléments d''actif', 'c775', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R42', 'Autres recettes exceptionnelles encaissables', 'c77 - c776 - c777 - c775', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R5', 'Ressources d''investissement', 'R51 + R52 + R53 + R54 + R55 + R56', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R51', 'Subventions d''investissement État', 'c1311 + c1381', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R52', 'Autres subventions d''investissement', '(c131 - c1311) + c138', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R521', 'Région', 'c1312 + c1382', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R522', 'Département', 'c1313 + c1383', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R523', 'Autres', 'c1314 + c1315 + c1316 + c1317 + c1318 + c1384 + c1385 + c1386 + c1387 + c1388', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R53', 'Dotation en fonds propres de l''État', 'c102', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R54', 'Emprunts', 'c16', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R55', 'ANR investissement d''avenir', 'c13171', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R56', 'Autres recettes d''investissement encaissables', 'c17 + c274 + c275 + c2768', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R6', 'Recettes non encaissables', 'R61 + R62 + R63 + R64', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R61', 'Reprises sur provisions', 'c78', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R62', 'Neutralisation des amortissements', 'c776', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R63', 'Quote part des subventions d''investissement virée au compte de résultat', 'c777', 2012);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R64', 'Autres', 'c713 + c187 + c72', 2012);


-----------------------------------------------------------------------------------------------------------------------
-- 2013 / nomenclature des prévisions de recettes
-----------------------------------------------------------------------------------------------------------------------
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R1', 'Subventions pour charges de service public', 'R11 + R12', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R11', 'Subventions des programmes 150 et 231', 'c7411', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R12', 'Subventions autres ministères', 'c7418', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R2', 'Autres subventions de fonctionnement', 'R21 + R22 + R23', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R21', 'Collectivités locales', 'c7442 + c7443 + c7444', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R211', 'Région', 'c7442', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R212', 'Département', 'c7443', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R213', 'Communes et groupements de communes', 'c7444', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R22', 'Union européenne', 'c7446', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R23', 'Autres subventions de fonctionnement', 'c7447 + c7448 + c7488', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R3', 'Autres ressources de fonctionnement courant', 'R31 + R32 + R33 + R34 + R35 + R36 + R37 + R38', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R31', 'Droits d''inscription', 'c7061', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R32', 'Redevances sur prestations intellectuelles', 'c751', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R33', 'Contrats de recherche', 'c7062 + c7441', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R331', 'ANR hors investissements d''avenir', 'c74412', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R332', 'ANR investissement d''avenir', 'c74411', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R333', 'Contrats de recherche hors ANR', 'c7062', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R34', 'Formation continue', 'c7065', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R35', 'Taxe d''apprentissage', 'c7481', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R36', 'Autres prestations (études et travaux)', 'c704 + c705', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R37', 'Dons et legs et assimilés', 'c7581 + c7582 + c7585 + c7586 + c7857', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R38', 'Autres recettes encaissables', 'c701 + c702 + c703 + c7063 + c7064 + c7066 + c7067 + c7068 + c707 + c708 + c709 + c7445 + c746 + c752 + c755 + c756 + c757 + c7583 + c7584 + c76', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R4', 'Recettes exceptionnelles encaissables ', 'R41 + R42', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R41', 'Produits de cession des éléments d''actif', 'c775', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R42', 'Autres recettes exceptionnelles encaissables', 'c77 - c776 - c777 - c775', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R5', 'Ressources d''investissement', 'R51 + R52 + R53 + R54 + R55 + R56', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R51', 'Subventions d''investissement État', 'c1311 + c1381', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R52', 'Autres subventions d''investissement', '(c131 - c1311) + c138', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R521', 'Région', 'c1312 + c1382', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R522', 'Département', 'c1313 + c1383', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R523', 'Autres', 'c1314 + c1315 + c1316 + c1317 + c1318 + c1384 + c1385 + c1386 + c1387 + c1388', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R53', 'Dotation en fonds propres de l''État', 'c102', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R54', 'Emprunts', 'c16', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R55', 'ANR investissement d''avenir', 'c13171', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R56', 'Autres recettes d''investissement encaissables', 'c17 + c274 + c275 + c2768', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R6', 'Recettes non encaissables', 'R61 + R62 + R63 + R64', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R61', 'Reprises sur provisions', 'c78', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R62', 'Neutralisation des amortissements', 'c776', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R63', 'Quote part des subventions d''investissement virée au compte de résultat', 'c777', 2013);
insert into jefy_admin.nomenclature_prevision_recette (npr_id, npr_code, npr_libelle, npr_details, exe_ordre) values (jefy_admin.nomenclature_prevision_rec_seq.NEXTVAL, 'R64', 'Autres', 'c713 + c187 + c72', 2013);
